<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
date_default_timezone_set('Asia/Shanghai');
define(ROOT_PATH, realpath(dirname(__FILE__)) . '/../../');
define(DS, DIRECTORY_SEPARATOR);
require_once ROOT_PATH . 'include/Db.class.php';
require_once ROOT_PATH . 'include/Cache.class.php';
$_SYS = require_once ROOT_PATH . 'cache/Settings.inc.php';
extract($_SYS, EXTR_OVERWRITE);
require_once ROOT_PATH . 'include/Ubb.func.php';
require_once ROOT_PATH . 'model/model.php';

$db = Db::getInstance();

$cacheConfig = array(
 	'core' => $cfg_cachecore,
 	'expire' => $cfg_cachetime,
 	'folder' => ROOT_PATH . 'cache/bookinfo',
 	'depth' => 2
);
$cache = Cache::getSingleton($cacheConfig);

$mTable = Members::table();
$mfTable = Memberfields::table();
$bTable = Book::table();
$cTable = Chapter::table();
$bmTable = BookManagers::table();